
from http.server import HTTPServer, BaseHTTPRequestHandler


class HttpGethandler(BaseHTTPRequestHandler):
    def do_GET(self):
        try:
            if self.path.endswith("/OK"):
                self.send_response(200)

                self.send_header("Content-type", "text/html")
                self.end_headers()

                http_text = """<html><head><meta charset='utf-8'
                                <title>Есть</title></head>
                                <body>HTTP-статус 200</body></html>"""

                self.wfile.write(http_text.encode())

            if self.path.endswith("/info"):
                self.send_response(200)

                self.send_header("Content-type", "text/html")
                self.end_headers()

                http_text = """<html><head><meta charset='utf-8'
                                <title>Моллаев Омар Рашидович 701(3)</title></head></html>"""

                self.wfile.write(http_text.encode())

        except IOError:
            self.send_error(400, "No found {self.path}")


def main(server_class=HTTPServer, handler_class=HttpGethandler):
    server_address = ('localhost', 8000)
    httpd = server_class(server_address, handler_class)
    try:
        print("Зеленый Свет")
        httpd.serve_forever()

    except KeyboardInterrupt:
        httpd.server_close()
        print("Красный Свет")


if __name__ == '__main__':
    main()